Create a bank account Run in API Explorer
Ask AI
Body
-
The UUIDs of the accounts who should own the bank account. These must only be client accounts.
-
The UUIDs of the accounts who should have the bank account as their primary bank account.
-
When provided and set to true, it will make the created bank account the primary bank account for all of the account UUIDs provided.
-
The friendly name for the bank account.
Maximum length is
255. -
The name of the bank account holder(s) as it appears on statements
Maximum length is
255. -
The bank account number.
-
The bank account sort code
POST
/api/v2/bank-accounts
curl \
--request POST 'https://api.plannrcrm.com/api/v2/bank-accounts' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"account_uuids": [
"76c77fa8-658c-435e-a33b-f799e778d4c7",
"df77fe17-7564-4916-b0f2-4644d6ff1b33",
"7239e806-ef53-45f3-82e7-db5d59d1af88"
],
"primary_account_uuids": [
"d825a9a3-0fa7-40f8-8a55-0f09586c1b96",
"ca92ae29-0b8e-4587-a4ec-c88bcfc3740f",
"e21c830e-7d9b-4b79-98c3-2737288bd728"
],
"is_primary": true,
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith & Mrs Jane Smith",
"account_number": "01234567",
"sort_code": "012345"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuids": [
"76c77fa8-658c-435e-a33b-f799e778d4c7",
"df77fe17-7564-4916-b0f2-4644d6ff1b33",
"7239e806-ef53-45f3-82e7-db5d59d1af88"
],
"primary_account_uuids": [
"d825a9a3-0fa7-40f8-8a55-0f09586c1b96",
"ca92ae29-0b8e-4587-a4ec-c88bcfc3740f",
"e21c830e-7d9b-4b79-98c3-2737288bd728"
],
"is_primary": true,
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith & Mrs Jane Smith",
"account_number": "01234567",
"sort_code": "012345"
}
Response examples (200)
{
"uuid": "5d176ef2-7be2-4287-a498-5fb2b661f828",
"created_at": "2026-11-16T13:00:53+00:00",
"updated_at": "2026-11-16T13:00:53+00:00",
"account_name": "Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "12345678",
"sort_code": "123456",
"accounts": {
"uuid": "99aadc5b-c180-489c-8a13-37247303d176",
"created_at": "2026-11-16T13:00:53+00:00",
"updated_at": "2026-11-16T13:00:53+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "caee8c82-f436-45a8-9a88-d5057dc629d5",
"created_at": "2026-11-16T13:00:53+00:00",
"updated_at": "2026-11-16T13:00:53+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}